import ComboBoxComponent from "select-kit/components/combo-box";
import { computed } from "@ember/object";
import I18n from "I18n";

export default ComboBoxComponent.extend({
  pluginApiIdentifiers: ["subscribe-country-select"],
  classNames: ["subscribe-address-country-select"],
  nameProperty: "name",
  valueProperty: "value",

  selectKitOptions: {
    filterable: true,
    allowAny: false,
    translatedNone: I18n.t(
      "discourse_subscriptions.subscribe.cardholder_address.country"
    ),
  },

  content: computed(function () {
    return [
      ["AF", I18n.t("discourse_subscriptions.subscribe.countries.AF")],
      ["AX", I18n.t("discourse_subscriptions.subscribe.countries.AX")],
      ["AL", I18n.t("discourse_subscriptions.subscribe.countries.AL")],
      ["DZ", I18n.t("discourse_subscriptions.subscribe.countries.DZ")],
      ["AS", I18n.t("discourse_subscriptions.subscribe.countries.AS")],
      ["AD", I18n.t("discourse_subscriptions.subscribe.countries.AD")],
      ["AO", I18n.t("discourse_subscriptions.subscribe.countries.AO")],
      ["AI", I18n.t("discourse_subscriptions.subscribe.countries.AI")],
      ["AQ", I18n.t("discourse_subscriptions.subscribe.countries.AQ")],
      ["AG", I18n.t("discourse_subscriptions.subscribe.countries.AG")],
      ["AR", I18n.t("discourse_subscriptions.subscribe.countries.AR")],
      ["AM", I18n.t("discourse_subscriptions.subscribe.countries.AM")],
      ["AW", I18n.t("discourse_subscriptions.subscribe.countries.AW")],
      ["AU", I18n.t("discourse_subscriptions.subscribe.countries.AU")],
      ["AT", I18n.t("discourse_subscriptions.subscribe.countries.AT")],
      ["AZ", I18n.t("discourse_subscriptions.subscribe.countries.AZ")],
      ["BS", I18n.t("discourse_subscriptions.subscribe.countries.BS")],
      ["BH", I18n.t("discourse_subscriptions.subscribe.countries.BH")],
      ["BD", I18n.t("discourse_subscriptions.subscribe.countries.BD")],
      ["BB", I18n.t("discourse_subscriptions.subscribe.countries.BB")],
      ["BY", I18n.t("discourse_subscriptions.subscribe.countries.BY")],
      ["BE", I18n.t("discourse_subscriptions.subscribe.countries.BE")],
      ["BZ", I18n.t("discourse_subscriptions.subscribe.countries.BZ")],
      ["BJ", I18n.t("discourse_subscriptions.subscribe.countries.BJ")],
      ["BM", I18n.t("discourse_subscriptions.subscribe.countries.BM")],
      ["BT", I18n.t("discourse_subscriptions.subscribe.countries.BT")],
      ["BO", I18n.t("discourse_subscriptions.subscribe.countries.BO")],
      ["BQ", I18n.t("discourse_subscriptions.subscribe.countries.BQ")],
      ["BA", I18n.t("discourse_subscriptions.subscribe.countries.BA")],
      ["BW", I18n.t("discourse_subscriptions.subscribe.countries.BW")],
      ["BV", I18n.t("discourse_subscriptions.subscribe.countries.BV")],
      ["BR", I18n.t("discourse_subscriptions.subscribe.countries.BR")],
      ["IO", I18n.t("discourse_subscriptions.subscribe.countries.IO")],
      ["BN", I18n.t("discourse_subscriptions.subscribe.countries.BN")],
      ["BG", I18n.t("discourse_subscriptions.subscribe.countries.BG")],
      ["BF", I18n.t("discourse_subscriptions.subscribe.countries.BF")],
      ["BI", I18n.t("discourse_subscriptions.subscribe.countries.BI")],
      ["KH", I18n.t("discourse_subscriptions.subscribe.countries.KH")],
      ["CM", I18n.t("discourse_subscriptions.subscribe.countries.CM")],
      ["CA", I18n.t("discourse_subscriptions.subscribe.countries.CA")],
      ["CV", I18n.t("discourse_subscriptions.subscribe.countries.CV")],
      ["KY", I18n.t("discourse_subscriptions.subscribe.countries.KY")],
      ["CF", I18n.t("discourse_subscriptions.subscribe.countries.CF")],
      ["TD", I18n.t("discourse_subscriptions.subscribe.countries.TD")],
      ["CL", I18n.t("discourse_subscriptions.subscribe.countries.CL")],
      ["CN", I18n.t("discourse_subscriptions.subscribe.countries.CN")],
      ["CX", I18n.t("discourse_subscriptions.subscribe.countries.CX")],
      ["CC", I18n.t("discourse_subscriptions.subscribe.countries.CC")],
      ["CO", I18n.t("discourse_subscriptions.subscribe.countries.CO")],
      ["KM", I18n.t("discourse_subscriptions.subscribe.countries.KM")],
      ["CG", I18n.t("discourse_subscriptions.subscribe.countries.CG")],
      ["CD", I18n.t("discourse_subscriptions.subscribe.countries.CD")],
      ["CK", I18n.t("discourse_subscriptions.subscribe.countries.CK")],
      ["CR", I18n.t("discourse_subscriptions.subscribe.countries.CR")],
      ["CI", I18n.t("discourse_subscriptions.subscribe.countries.CI")],
      ["HR", I18n.t("discourse_subscriptions.subscribe.countries.HR")],
      ["CU", I18n.t("discourse_subscriptions.subscribe.countries.CU")],
      ["CW", I18n.t("discourse_subscriptions.subscribe.countries.CW")],
      ["CY", I18n.t("discourse_subscriptions.subscribe.countries.CY")],
      ["CZ", I18n.t("discourse_subscriptions.subscribe.countries.CZ")],
      ["DK", I18n.t("discourse_subscriptions.subscribe.countries.DK")],
      ["DJ", I18n.t("discourse_subscriptions.subscribe.countries.DJ")],
      ["DM", I18n.t("discourse_subscriptions.subscribe.countries.DM")],
      ["DO", I18n.t("discourse_subscriptions.subscribe.countries.DO")],
      ["EC", I18n.t("discourse_subscriptions.subscribe.countries.EC")],
      ["EG", I18n.t("discourse_subscriptions.subscribe.countries.EG")],
      ["SV", I18n.t("discourse_subscriptions.subscribe.countries.SV")],
      ["GQ", I18n.t("discourse_subscriptions.subscribe.countries.GQ")],
      ["ER", I18n.t("discourse_subscriptions.subscribe.countries.ER")],
      ["EE", I18n.t("discourse_subscriptions.subscribe.countries.EE")],
      ["ET", I18n.t("discourse_subscriptions.subscribe.countries.ET")],
      ["FK", I18n.t("discourse_subscriptions.subscribe.countries.FK")],
      ["FO", I18n.t("discourse_subscriptions.subscribe.countries.FO")],
      ["FJ", I18n.t("discourse_subscriptions.subscribe.countries.FJ")],
      ["FI", I18n.t("discourse_subscriptions.subscribe.countries.FI")],
      ["FR", I18n.t("discourse_subscriptions.subscribe.countries.FR")],
      ["GF", I18n.t("discourse_subscriptions.subscribe.countries.GF")],
      ["PF", I18n.t("discourse_subscriptions.subscribe.countries.PF")],
      ["TF", I18n.t("discourse_subscriptions.subscribe.countries.TF")],
      ["GA", I18n.t("discourse_subscriptions.subscribe.countries.GA")],
      ["GM", I18n.t("discourse_subscriptions.subscribe.countries.GM")],
      ["GE", I18n.t("discourse_subscriptions.subscribe.countries.GE")],
      ["DE", I18n.t("discourse_subscriptions.subscribe.countries.DE")],
      ["GH", I18n.t("discourse_subscriptions.subscribe.countries.GH")],
      ["GI", I18n.t("discourse_subscriptions.subscribe.countries.GI")],
      ["GR", I18n.t("discourse_subscriptions.subscribe.countries.GR")],
      ["GL", I18n.t("discourse_subscriptions.subscribe.countries.GL")],
      ["GD", I18n.t("discourse_subscriptions.subscribe.countries.GD")],
      ["GP", I18n.t("discourse_subscriptions.subscribe.countries.GP")],
      ["GU", I18n.t("discourse_subscriptions.subscribe.countries.GU")],
      ["GT", I18n.t("discourse_subscriptions.subscribe.countries.GT")],
      ["GG", I18n.t("discourse_subscriptions.subscribe.countries.GG")],
      ["GN", I18n.t("discourse_subscriptions.subscribe.countries.GN")],
      ["GW", I18n.t("discourse_subscriptions.subscribe.countries.GW")],
      ["GY", I18n.t("discourse_subscriptions.subscribe.countries.GY")],
      ["HT", I18n.t("discourse_subscriptions.subscribe.countries.HT")],
      ["HM", I18n.t("discourse_subscriptions.subscribe.countries.HM")],
      ["VA", I18n.t("discourse_subscriptions.subscribe.countries.VA")],
      ["HN", I18n.t("discourse_subscriptions.subscribe.countries.HN")],
      ["HK", I18n.t("discourse_subscriptions.subscribe.countries.HK")],
      ["HU", I18n.t("discourse_subscriptions.subscribe.countries.HU")],
      ["IS", I18n.t("discourse_subscriptions.subscribe.countries.IS")],
      ["IN", I18n.t("discourse_subscriptions.subscribe.countries.IN")],
      ["ID", I18n.t("discourse_subscriptions.subscribe.countries.ID")],
      ["IR", I18n.t("discourse_subscriptions.subscribe.countries.IR")],
      ["IQ", I18n.t("discourse_subscriptions.subscribe.countries.IQ")],
      ["IE", I18n.t("discourse_subscriptions.subscribe.countries.IE")],
      ["IM", I18n.t("discourse_subscriptions.subscribe.countries.IM")],
      ["IL", I18n.t("discourse_subscriptions.subscribe.countries.IL")],
      ["IT", I18n.t("discourse_subscriptions.subscribe.countries.IT")],
      ["JM", I18n.t("discourse_subscriptions.subscribe.countries.JM")],
      ["JP", I18n.t("discourse_subscriptions.subscribe.countries.JP")],
      ["JE", I18n.t("discourse_subscriptions.subscribe.countries.JE")],
      ["JO", I18n.t("discourse_subscriptions.subscribe.countries.JO")],
      ["KZ", I18n.t("discourse_subscriptions.subscribe.countries.KZ")],
      ["KE", I18n.t("discourse_subscriptions.subscribe.countries.KE")],
      ["KI", I18n.t("discourse_subscriptions.subscribe.countries.KI")],
      ["KP", I18n.t("discourse_subscriptions.subscribe.countries.KP")],
      ["KR", I18n.t("discourse_subscriptions.subscribe.countries.KR")],
      ["KW", I18n.t("discourse_subscriptions.subscribe.countries.KW")],
      ["KG", I18n.t("discourse_subscriptions.subscribe.countries.KG")],
      ["LA", I18n.t("discourse_subscriptions.subscribe.countries.LA")],
      ["LV", I18n.t("discourse_subscriptions.subscribe.countries.LV")],
      ["LB", I18n.t("discourse_subscriptions.subscribe.countries.LB")],
      ["LS", I18n.t("discourse_subscriptions.subscribe.countries.LS")],
      ["LR", I18n.t("discourse_subscriptions.subscribe.countries.LR")],
      ["LY", I18n.t("discourse_subscriptions.subscribe.countries.LY")],
      ["LI", I18n.t("discourse_subscriptions.subscribe.countries.LI")],
      ["LT", I18n.t("discourse_subscriptions.subscribe.countries.LT")],
      ["LU", I18n.t("discourse_subscriptions.subscribe.countries.LU")],
      ["MO", I18n.t("discourse_subscriptions.subscribe.countries.MO")],
      ["MK", I18n.t("discourse_subscriptions.subscribe.countries.MK")],
      ["MG", I18n.t("discourse_subscriptions.subscribe.countries.MG")],
      ["MW", I18n.t("discourse_subscriptions.subscribe.countries.MW")],
      ["MY", I18n.t("discourse_subscriptions.subscribe.countries.MY")],
      ["MV", I18n.t("discourse_subscriptions.subscribe.countries.MV")],
      ["ML", I18n.t("discourse_subscriptions.subscribe.countries.ML")],
      ["MT", I18n.t("discourse_subscriptions.subscribe.countries.MT")],
      ["MH", I18n.t("discourse_subscriptions.subscribe.countries.MH")],
      ["MQ", I18n.t("discourse_subscriptions.subscribe.countries.MQ")],
      ["MR", I18n.t("discourse_subscriptions.subscribe.countries.MR")],
      ["MU", I18n.t("discourse_subscriptions.subscribe.countries.MU")],
      ["YT", I18n.t("discourse_subscriptions.subscribe.countries.YT")],
      ["MX", I18n.t("discourse_subscriptions.subscribe.countries.MX")],
      ["FM", I18n.t("discourse_subscriptions.subscribe.countries.FM")],
      ["MD", I18n.t("discourse_subscriptions.subscribe.countries.MD")],
      ["MC", I18n.t("discourse_subscriptions.subscribe.countries.MC")],
      ["MN", I18n.t("discourse_subscriptions.subscribe.countries.MN")],
      ["ME", I18n.t("discourse_subscriptions.subscribe.countries.ME")],
      ["MS", I18n.t("discourse_subscriptions.subscribe.countries.MS")],
      ["MA", I18n.t("discourse_subscriptions.subscribe.countries.MA")],
      ["MZ", I18n.t("discourse_subscriptions.subscribe.countries.MZ")],
      ["MM", I18n.t("discourse_subscriptions.subscribe.countries.MM")],
      ["NA", I18n.t("discourse_subscriptions.subscribe.countries.NA")],
      ["NR", I18n.t("discourse_subscriptions.subscribe.countries.NR")],
      ["NP", I18n.t("discourse_subscriptions.subscribe.countries.NP")],
      ["NL", I18n.t("discourse_subscriptions.subscribe.countries.NL")],
      ["NC", I18n.t("discourse_subscriptions.subscribe.countries.NC")],
      ["NZ", I18n.t("discourse_subscriptions.subscribe.countries.NZ")],
      ["NI", I18n.t("discourse_subscriptions.subscribe.countries.NI")],
      ["NE", I18n.t("discourse_subscriptions.subscribe.countries.NE")],
      ["NG", I18n.t("discourse_subscriptions.subscribe.countries.NG")],
      ["NU", I18n.t("discourse_subscriptions.subscribe.countries.NU")],
      ["NF", I18n.t("discourse_subscriptions.subscribe.countries.NF")],
      ["MP", I18n.t("discourse_subscriptions.subscribe.countries.MP")],
      ["NO", I18n.t("discourse_subscriptions.subscribe.countries.NO")],
      ["OM", I18n.t("discourse_subscriptions.subscribe.countries.OM")],
      ["PK", I18n.t("discourse_subscriptions.subscribe.countries.PK")],
      ["PW", I18n.t("discourse_subscriptions.subscribe.countries.PW")],
      ["PS", I18n.t("discourse_subscriptions.subscribe.countries.PS")],
      ["PA", I18n.t("discourse_subscriptions.subscribe.countries.PA")],
      ["PG", I18n.t("discourse_subscriptions.subscribe.countries.PG")],
      ["PY", I18n.t("discourse_subscriptions.subscribe.countries.PY")],
      ["PE", I18n.t("discourse_subscriptions.subscribe.countries.PE")],
      ["PH", I18n.t("discourse_subscriptions.subscribe.countries.PH")],
      ["PN", I18n.t("discourse_subscriptions.subscribe.countries.PN")],
      ["PL", I18n.t("discourse_subscriptions.subscribe.countries.PL")],
      ["PT", I18n.t("discourse_subscriptions.subscribe.countries.PT")],
      ["PR", I18n.t("discourse_subscriptions.subscribe.countries.PR")],
      ["QA", I18n.t("discourse_subscriptions.subscribe.countries.QA")],
      ["RE", I18n.t("discourse_subscriptions.subscribe.countries.RE")],
      ["RO", I18n.t("discourse_subscriptions.subscribe.countries.RO")],
      ["RU", I18n.t("discourse_subscriptions.subscribe.countries.RU")],
      ["RW", I18n.t("discourse_subscriptions.subscribe.countries.RW")],
      ["BL", I18n.t("discourse_subscriptions.subscribe.countries.BL")],
      ["SH", I18n.t("discourse_subscriptions.subscribe.countries.SH")],
      ["KN", I18n.t("discourse_subscriptions.subscribe.countries.KN")],
      ["LC", I18n.t("discourse_subscriptions.subscribe.countries.LC")],
      ["MF", I18n.t("discourse_subscriptions.subscribe.countries.MF")],
      ["PM", I18n.t("discourse_subscriptions.subscribe.countries.PM")],
      ["VC", I18n.t("discourse_subscriptions.subscribe.countries.VC")],
      ["WS", I18n.t("discourse_subscriptions.subscribe.countries.WS")],
      ["SM", I18n.t("discourse_subscriptions.subscribe.countries.SM")],
      ["ST", I18n.t("discourse_subscriptions.subscribe.countries.ST")],
      ["SA", I18n.t("discourse_subscriptions.subscribe.countries.SA")],
      ["SN", I18n.t("discourse_subscriptions.subscribe.countries.SN")],
      ["RS", I18n.t("discourse_subscriptions.subscribe.countries.RS")],
      ["SC", I18n.t("discourse_subscriptions.subscribe.countries.SC")],
      ["SL", I18n.t("discourse_subscriptions.subscribe.countries.SL")],
      ["SG", I18n.t("discourse_subscriptions.subscribe.countries.SG")],
      ["SX", I18n.t("discourse_subscriptions.subscribe.countries.SX")],
      ["SK", I18n.t("discourse_subscriptions.subscribe.countries.SK")],
      ["SI", I18n.t("discourse_subscriptions.subscribe.countries.SI")],
      ["SB", I18n.t("discourse_subscriptions.subscribe.countries.SB")],
      ["SO", I18n.t("discourse_subscriptions.subscribe.countries.SO")],
      ["ZA", I18n.t("discourse_subscriptions.subscribe.countries.ZA")],
      ["GS", I18n.t("discourse_subscriptions.subscribe.countries.GS")],
      ["SS", I18n.t("discourse_subscriptions.subscribe.countries.SS")],
      ["ES", I18n.t("discourse_subscriptions.subscribe.countries.ES")],
      ["LK", I18n.t("discourse_subscriptions.subscribe.countries.LK")],
      ["SD", I18n.t("discourse_subscriptions.subscribe.countries.SD")],
      ["SR", I18n.t("discourse_subscriptions.subscribe.countries.SR")],
      ["SJ", I18n.t("discourse_subscriptions.subscribe.countries.SJ")],
      ["SZ", I18n.t("discourse_subscriptions.subscribe.countries.SZ")],
      ["SE", I18n.t("discourse_subscriptions.subscribe.countries.SE")],
      ["CH", I18n.t("discourse_subscriptions.subscribe.countries.CH")],
      ["SY", I18n.t("discourse_subscriptions.subscribe.countries.SY")],
      ["TW", I18n.t("discourse_subscriptions.subscribe.countries.TW")],
      ["TJ", I18n.t("discourse_subscriptions.subscribe.countries.TJ")],
      ["TZ", I18n.t("discourse_subscriptions.subscribe.countries.TZ")],
      ["TH", I18n.t("discourse_subscriptions.subscribe.countries.TH")],
      ["TL", I18n.t("discourse_subscriptions.subscribe.countries.TL")],
      ["TG", I18n.t("discourse_subscriptions.subscribe.countries.TG")],
      ["TK", I18n.t("discourse_subscriptions.subscribe.countries.TK")],
      ["TO", I18n.t("discourse_subscriptions.subscribe.countries.TO")],
      ["TT", I18n.t("discourse_subscriptions.subscribe.countries.TT")],
      ["TN", I18n.t("discourse_subscriptions.subscribe.countries.TN")],
      ["TR", I18n.t("discourse_subscriptions.subscribe.countries.TR")],
      ["TM", I18n.t("discourse_subscriptions.subscribe.countries.TM")],
      ["TC", I18n.t("discourse_subscriptions.subscribe.countries.TC")],
      ["TV", I18n.t("discourse_subscriptions.subscribe.countries.TV")],
      ["UG", I18n.t("discourse_subscriptions.subscribe.countries.UG")],
      ["UA", I18n.t("discourse_subscriptions.subscribe.countries.UA")],
      ["AE", I18n.t("discourse_subscriptions.subscribe.countries.AE")],
      ["GB", I18n.t("discourse_subscriptions.subscribe.countries.GB")],
      ["US", I18n.t("discourse_subscriptions.subscribe.countries.US")],
      ["UM", I18n.t("discourse_subscriptions.subscribe.countries.UM")],
      ["UY", I18n.t("discourse_subscriptions.subscribe.countries.UY")],
      ["UZ", I18n.t("discourse_subscriptions.subscribe.countries.UZ")],
      ["VU", I18n.t("discourse_subscriptions.subscribe.countries.VU")],
      ["VE", I18n.t("discourse_subscriptions.subscribe.countries.VE")],
      ["VN", I18n.t("discourse_subscriptions.subscribe.countries.VN")],
      ["VG", I18n.t("discourse_subscriptions.subscribe.countries.VG")],
      ["VI", I18n.t("discourse_subscriptions.subscribe.countries.VI")],
      ["WF", I18n.t("discourse_subscriptions.subscribe.countries.WF")],
      ["EH", I18n.t("discourse_subscriptions.subscribe.countries.EH")],
      ["YE", I18n.t("discourse_subscriptions.subscribe.countries.YE")],
      ["ZM", I18n.t("discourse_subscriptions.subscribe.countries.ZM")],
      ["ZW", I18n.t("discourse_subscriptions.subscribe.countries.ZW")],
    ].map((arr) => {
      return { value: arr[0], name: arr[1] };
    });
  }),
});
